Pinnacle

Blast RCS to Audience

Serverhttps://api.pinnacle.sh/
POST
/messages/blast/rcs

Request body

Edit JSON, then apply it to your request.

JSON

Send an RCS message to all contacts in an audience.

Messages are distributed evenly across the provided RCS agents for load balancing. Requires active RCS agents and recipient devices that support RCS Business Messaging.

Use the optional schedule parameter in options to schedule the blast for future delivery. When scheduled, the response will contain a scheduleId instead of blast details.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Send an RCS message to all contacts in an audience.

audienceIdstring

The audience ID to send the blast to. This identifier is a string that always begins with the prefix aud_, for example: aud_abc123.

You can create an audience via the dashboard or API.

Match
^aud_
Example
"aud_01J8K3R7M9"
sendersarray<string>

Array of RCS agent IDs to send from. Each must be prefixed with agent_.

Messages will be evenly distributed across these agents.

Limit: 1 min

Items
1 <= items
Each item
Match
^agent_.*$
Example
"agent_pinnacle"
3 variants
Fallback MessageOptional

SMS/MMS fallback message to send if the RCS message fails to deliver.

When a recipient's device doesn't support RCS, this fallback message will be sent as SMS or MMS instead. The fallback is sent from the specified phone number.

Note: At least one of text or mediaUrls must be provided. Fallback messages require a verified from phone number with SMS/MMS sending capabilities.

Billing: You will be charged the standard SMS or MMS rate for the fallback message. The original RCS message will not be charged if the fallback is sent instead.

objectOptional

Configure how your RCS blast is sent and tracked.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Pinnacle referenceAsk Pinnacle

Get a sourced answer from the published documentation.

ViewingPinnacle documentation

Conversations are saved for analysis.

Try asking